Flickr APIがSSLでしかアクセスできなくなったので、PPP4Bを対応させました

スクリーンショット 2014-06-29 16.54.36
PPP4B(Picture Pick’n’Paster 4 Blogger)を今日使ってみたら、使えない状態になっていました。
私のブログ記事は大量の写真を使うことが多いので、自分で作ったツールながらこれが使えないと困ります。


スクリーンショット 2014-06-29 16.31.24
ちょうどFlickrが落ちたりしていたのでその影響かと思いましたが、そうではなく「Flickr APIが6/27からSSLからしかアクセスできないようになった」ためみたいですね。アナウンスに気付きませんでした。。
スクリーンショット 2014-06-29 16.52.31
早速、http://api.flickr.com/にアクセスしていたJavascriptのコードをhttps://api.flickr.com/に変更したところ、それだけで動きました。さすがjQuery便利。
スクリーンショット 2014-06-29 17.02.20
Flickrはなんか最近UIが良く変更になっていますが、SSLアクセスになっただけでAPI自体は変更がなくて良かったです。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

Captcha * Time limit is exhausted. Please reload CAPTCHA.